﻿

Class MainWindow

    Dim _barcode1 As AxBARCODELib.AxBarcode

    Public Sub New()
        InitializeComponent()
        _barcode1 = New AxBARCODELib.AxBarcode()
        wh.Child = _barcode1
    End Sub

    Private Sub Window_Loaded()

        _barcode1.BarcodeType = BARCODELib.enumBarcodeType.CODE_128
        _barcode1.ModulBreite = BARCODELib.enumModulBreite.breite_379_µm
        _barcode1.HeightMM = "20"
        _barcode1.Klartext = False
    End Sub

    Public Sub Button_Click()
        _barcode1.Data = data.Text
    End Sub

    Private Sub klartext_Unchecked()
        _barcode1.Klartext = False
    End Sub

    Private Sub klartext_Checked()
        _barcode1.Klartext = True
    End Sub

    Public Sub Button_Print()

        Dim printDlg As New PrintDialog()

        If printDlg.ShowDialog Then
            Dim rc = New Rect(0, 0, printDlg.PrintableAreaWidth, printDlg.PrintableAreaHeight)
            wh.Measure(New Size(printDlg.PrintableAreaWidth, printDlg.PrintableAreaHeight))
            wh.Arrange(rc)
            wh.UpdateLayout()
            printDlg.PrintVisual(wh, data.Text)
        End If

    End Sub


End Class
