﻿using System;
using System.Collections.Generic;
using System.IO;
using System.IO.Packaging;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms.Integration;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace WpfBarcodeSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private AxBARCODELib.AxBarcode _barcode1;


        public MainWindow()
        {
            InitializeComponent();
            _barcode1 = new AxBARCODELib.AxBarcode();
            wh.Child = _barcode1;

        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            //_barcode1.BarcodeType = BARCODELib.enumBarcodeType.DATA_MATRIX;
            //_barcode1.ModulBreite = BARCODELib.enumModulBreite.breite_1006_µm;

            _barcode1.BarcodeType = BARCODELib.enumBarcodeType.CODE_128;
            _barcode1.ModulBreite = BARCODELib.enumModulBreite.breite_379_µm;
            _barcode1.HeightMM = "20";
            _barcode1.Klartext = false;

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            _barcode1.Data = this.data.Text;
            //_barcode1.Draw();

        }

        private void klartext_Unchecked(object sender, RoutedEventArgs e)
        {
            _barcode1.Klartext = false;
        }

        private void klartext_Checked(object sender, RoutedEventArgs e)
        {
            _barcode1.Klartext = true;
        }

        private void Button_Print(object sender, RoutedEventArgs e)
        {

            PrintDialog dialog = new PrintDialog();
            if (dialog.ShowDialog() == true)
            {
                //wh.Margin = new Thickness(0, 0, 0, 0);
                wh.Measure(new Size(dialog.PrintableAreaWidth, dialog.PrintableAreaHeight));
                wh.Arrange(new Rect(0, 0, dialog.PrintableAreaWidth, dialog.PrintableAreaHeight));
                wh.UpdateLayout();
                dialog.PrintVisual(wh, this.data.Text);
            }
        }

    }
}
